# Generated by Django 4.0 on 2022-01-04 17:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('phone', models.CharField(max_length=11)),
            ],
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone', models.CharField(max_length=11)),
                ('account', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='auth.user')),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Finance.department')),
            ],
        ),
        migrations.CreateModel(
            name='EmployeeProjectRelation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hours', models.PositiveIntegerField()),
                ('role', models.CharField(max_length=100)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Finance.employee')),
            ],
        ),
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=6)),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('account_number', models.CharField(max_length=20)),
                ('description', models.CharField(max_length=100)),
                ('payment_type', models.CharField(choices=[('s', 'Salary')], max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='Salary',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('base', models.DecimalField(decimal_places=2, max_digits=6)),
                ('tax', models.DecimalField(decimal_places=1, max_digits=3)),
                ('insurance', models.DecimalField(decimal_places=1, max_digits=3)),
                ('overtime', models.PositiveIntegerField()),
                ('employee', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='Finance.employee')),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('estimated_end_time', models.DateTimeField()),
                ('end_time', models.DateTimeField()),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Finance.department')),
                ('employees', models.ManyToManyField(through='Finance.EmployeeProjectRelation', to='Finance.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Payslip',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('base', models.DecimalField(decimal_places=2, max_digits=6)),
                ('tax', models.DecimalField(decimal_places=2, max_digits=5)),
                ('insurance', models.DecimalField(decimal_places=2, max_digits=5)),
                ('overtime', models.DecimalField(decimal_places=2, max_digits=5)),
                ('created', models.DateField(auto_now_add=True)),
                ('payment', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='Finance.payment')),
                ('salary', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Finance.salary')),
            ],
        ),
        migrations.AddField(
            model_name='employeeprojectrelation',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Finance.project'),
        ),
        migrations.CreateModel(
            name='Attendance',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('in_time', models.TimeField(blank=True, null=True)),
                ('out_time', models.TimeField(blank=True, null=True)),
                ('late_cause', models.CharField(blank=True, max_length=250, null=True)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Finance.employee')),
            ],
        ),
    ]
